--- old/src/java.base/share/classes/java/lang/Runtime.java	2015-12-01 01:06:30.682409094 +0300
+++ new/src/java.base/share/classes/java/lang/Runtime.java	2015-12-01 01:06:30.542411338 +0300
@@ -29,6 +29,7 @@
 import java.util.StringTokenizer;
 import sun.reflect.CallerSensitive;
 import sun.reflect.Reflection;
+import jdk.internal.HotSpotIntrinsicCandidate;
 
 /**
  * Every Java application has a single instance of class
@@ -875,6 +876,16 @@
     }
 
     /**
+     * Method signifying that the caller is momentarily unable to
+     * progress until the occurrence of one or more actions of one or
+     * more other activities.  When invoked within each iteration, this
+     * method typically improves performance of spin wait loop
+     * constructions.
+     */
+    @HotSpotIntrinsicCandidate
+    public static void onSpinWait() {};
+
+    /**
      * Creates a localized version of an input stream. This method takes
      * an {@code InputStream} and returns an {@code InputStream}
      * equivalent to the argument in all respects except that it is
